/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class MainHomeBottomPanelVM : FguiViewModel
    {
        public Controller BtnCtrl { get; private set; }
        public GImage TongYongLanBottom { get; private set; }
        public GButton RoleBtn { get; private set; }
        public GButton JianlingBtn { get; private set; }
        public GButton FubenBtn { get; private set; }
        public GButton GonghuiBtn { get; private set; }
        public GButton HomeBtn { get; private set; }
        public GButton BaoZangBtn { get; private set; }
        public GGroup Bottom { get; private set; }
        public Transition T0 { get; private set; }
        public Transition T1 { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            BtnCtrl = panel.GetController("btnCtrl");
            TongYongLanBottom = panel.GetChild("TongYongLanBottom") as GImage;
            RoleBtn = panel.GetChild("RoleBtn") as GButton;
            JianlingBtn = panel.GetChild("JianlingBtn") as GButton;
            FubenBtn = panel.GetChild("FubenBtn") as GButton;
            GonghuiBtn = panel.GetChild("GonghuiBtn") as GButton;
            HomeBtn = panel.GetChild("HomeBtn") as GButton;
            BaoZangBtn = panel.GetChild("BaoZangBtn") as GButton;
            Bottom = panel.GetChild("Bottom") as GGroup;
            T0 = panel.GetTransition("t0");
            T1 = panel.GetTransition("t1");

        }
    }
}